Inventory-side ad units a slot's adUnitIds may name: id, title, size and the placementTypes each belongs to.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/hb-tags/ad-units.do
Inventory-side ad units a slot's adUnitIds may name: id, title, size and the placementTypes each belongs to. Requires the HEADER_BIDDING_TAB_VISIBLE permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/hb-tags/ad-units.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());